#
# Conditional build:
%bcond_without	system_expat	# build with included expat
%bcond_without	system_freetype	# build with included freetype
%bcond_without	system_jbig2dec	# build with included jbig2dec
%bcond_without	system_lcms2	# build with included lcms2
#
Summary:	PostScript, PDF and XPS interpreter and renderer
Summary(pl.UTF-8):	Interpreter i renderer PostScriptu, PDF oraz XPS
Name:		ghostpdl
Version:	9.22
Release:	1
License:	AGPL v3+
Group:		Applications/Graphics
#Source0Download: https://github.com/ArtifexSoftware/ghostpdl-downloads/releases
Source0:	https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs922/%{name}-%{version}.tar.xz
# Source0-md5:	4b6fd53f0b7ffca24cdf98456fecc22e
Patch0:		%{name}-fonts_locations.patch
Patch1:		%{name}-make.patch
Patch2:		%{name}-system-libs.patch
URL:		http://ghostscript.com/
BuildRequires:	autoconf >= 2.63
BuildRequires:	cups-devel
%{!?with_system_expat:BuildRequires:	expat-devel >= 1.95}
BuildRequires:	fontconfig-devel
BuildRequires:	libidn-devel
%{!?with_system_freetype:BuildRequires:	freetype-devel >= 1:2.6}
%{?with_system_jbig2dec:BuildRequires:	jbig2dec-devel >= 0.12}
%{?with_system_lcms2:BuildRequires:	lcms2-devel >= 2.6}
BuildRequires:	libjpeg-devel
BuildRequires:	libpaper-devel
BuildRequires:	libpng-devel >= 2:1.6.17
BuildRequires:	libtiff-devel >= 4.0.1
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GhostPCL is Artifex Software's implementation of the PCL-5(TM) and
PCL-XL(TM) family of page description languages. For more information
please see the documentation included with the source package.

%description -l pl.UTF-8
GhostPCL jest implementacją języków z rodzin PCL-5(TM) i PCL-XL(TM)
opisujących stronę. Więcej informacji znajduje się w dokumentacji
załączonej do pakietu.

%package -n ghostpcl
Summary:	PCL-5 and PCL-XL implementation
Summary(pl.UTF-8):	Implementacja PCL-5 oraz PCL-XL
Group:		Applications/Graphics
URL:		http://ghostscript.com/GhostPCL.html
Requires:	ghostscript = %{version}
Suggests:	fonts-TTF-urw
Conflicts:	ghostpcl < 9

%description -n ghostpcl
GhostPCL is Artifex Software's implementation of the PCL-5 and PCL-XL
family of page description languages.

%description -n ghostpcl -l pl.UTF-8
GhostPCL to rozwijana przez Artifex Software implementacja rodzin
języków opisu strony PCL-5 oraz PCL-XL.

%package -n ghostxps
Summary:	XPS document format implementation based on Ghostscript
Summary(pl.UTF-8):	Implementacja formatu dokumentów XPS oparta na Ghostscripcie
Group:		Applications/Graphics
URL:		http://ghostscript.com/GhostXPS.html
Requires:	ghostscript = %{version}

%description -n ghostxps
GhostXPS is an implementation of the Microsoft XPS document format
built on top of Ghostscript.

%description -n ghostxps -l pl.UTF-8
GhostXPS to implementacja formatu dokumentu XPS Microsoftu zbudowana w
oparciu o Ghostscript.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# use system libs:
# freetype 2.5.5 + few pre-2.6 fixes from git
%{?with_system_freetype:%{__rm} -r freetype}
# jbig2dec 0.13 + minor fix
%{?with_system_jbig2dec:%{__rm} -r jbig2dec}
# (unmodified) libpng 1.6.17 and zlib 1.2.8
%{__rm} -r libpng zlib
# (unmodified) libjpeg 9a is built with different configuration (D_MAX_BLOCKS_IN_MCU=64)
# openjpeg is 2.1.0 + fixes; stick to bundled for now
# lcms2 is 2.6 with some minor future changes (one already in 2.7, two post-2.7, extra_xform.h ???)
%{?with_system_lcms2:%{__rm} -r lcms2}
%{?with_system_expat:%{__rm} -r expat}
%{__autoconf}
%configure \
	--with-system-libtiff

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install pcl/tools/{pcl2pdf,pcl2pdfwr,plot2pdf.sh} $RPM_BUILD_ROOT%{_bindir}
ln -sf gpcl6 $RPM_BUILD_ROOT%{_bindir}/pcl6

# packaged in ghostscript.spec
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{dvipdf,eps2eps,gs*,lprsetup.sh,pdf2*,pf2afm,pfbtopfa,pphs,printafm,ps2*,unix-lpr.sh}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/{dvipdf,eps2eps,gs*,pdf2*,pf2afm,pfbtopfa,printafm,ps2*}.1
%{__rm} $RPM_BUILD_ROOT%{_mandir}/de/man1/{dvipdf,eps2eps,gsnd,pdf2*,printafm,ps2*}.1
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/ghostscript

%clean
rm -rf $RPM_BUILD_ROOT

%files -n ghostpcl
%defattr(644,root,root,755)
%doc doc/pclxps/ghostpdl.pdf pcl/{LICENSE,NEWS,README.txt} pcl/pcl/Anomalies.txt pcl/pxl/{pxcet,pxdiff,pxfts,pxlib,pxspec}.txt
%attr(755,root,root) %{_bindir}/gpcl6
%attr(755,root,root) %{_bindir}/pcl2pdf
%attr(755,root,root) %{_bindir}/pcl2pdfwr
%attr(755,root,root) %{_bindir}/pcl6
%attr(755,root,root) %{_bindir}/plot2pdf.sh

%files -n ghostxps
%defattr(644,root,root,755)
%doc doc/pclxps/ghostpdl.pdf xps/TODO
%attr(755,root,root) %{_bindir}/gxps
%changelog
* Sun Nov 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghostpdl.git;a=log;h=master

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> 5d6bc09
- fixed intall
- rel 1

* Fri Nov 24 2017 Jan Rękorajski <baggins@pld-linux.org> d030a5c
- up to 9.22

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> cef4b58
- release 2 (by relup.sh)

* Tue Feb 07 2017 Jakub Bogusz <qboosh@pld-linux.org> db12861
- base package renamed from ghostpcl to ghostpdl, new URLs, updated to 9.20
- updated fonts_locations,make patches
- removed obsolete format-security patch
- added system-libs patch
- build ghostpcl and ghostxps packages

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> d981cfe
- urwfonts separated to fonts-TTF-urw.spec

* Wed Jul 27 2016 Jakub Bogusz <qboosh@pld-linux.org> dc8e126
- verbose files, postun for -urwfonts

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a07a01c
- release 9 (by relup.sh)

* Sun Nov 18 2012 Jan Rękorajski <baggins@pld-linux.org> 5629b0e
- fix building with -Wformat-security
- rel 8

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 981f8ec
- rebuild with expat 2.1.0
- release 7 (by relup.sh)

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 7b1820b
- release 6 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 2e5301f
- pass cc, rpmldflags
- release 5 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b78af8
- release 4

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bab0a17
- release 3

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 0879a23
- BR: xorg-lib-libXext-devel, xorg-lib-libXt-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c1d95f
- release 2

* Tue Sep 08 2009 Tomasz Pala <gotar@pld-linux.org> 8921e1c
- upgraded to 1.54

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7db87e8
- release 2

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> 0da936e
- note on XPS support in summaries,
- fonts don't require main package, fixed group,
- package more binaries,
- added TODOs

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> 2eaaf28
- upgraded to 1.52 (new Source0),
- build pspcl6 and gxps,
- use shared libpng, libjpeg and expat (the latter one only for gxps), added
  appropriate BRs (NOTE: pspcl6 and pcl6 shouldn't link to expat!)
- removed not working OPTFLAGS, pass flags through XCFLAGS, XLDFLAGS doesn't
  work either,
- put TTF fonts in global fonts directory.

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> b16b36c
- use only system-wide font directories

